当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-11-12 14:28 
头像

注册: 2008-06-21 2:20
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
出现这个问题可能是因为我在最近更新ubuntu8.04的时候,没有等待下载完更新就停止,然后安装更新造成的。后续v的几个楼层记录了我尝试解决问题的过程,不知道版主会不会删掉?
不知道我的这个问题怎么解决?详情请看下面copy出来的文本:


guanx@guanx-desktop:~$ sudo dpkg --configure -a
[sudo] password for guanx:
正在设置 initramfs-tools (0.85eubuntu39.3) ...
update-initramfs: deferring update (trigger activated)

dpkg:依赖关系问题使得 g++-4.2 的配置工作不能继续:
g++-4.2 依赖于 libstdc++6-4.2-dev (= 4.2.4-1ubuntu3);然而:
未曾安装软件包“libstdc++6-4.2-dev”。
dpkg:处理 g++-4.2 (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 linux-image-2.6.24-21-generic (2.6.24-21.43) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-21-generic
Failed to symbolic-link boot/initrd.img-2.6.24-21-generic to initrd.img.
dpkg:处理 linux-image-2.6.24-21-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 17
dpkg:依赖关系问题使得 linux-ubuntu-modules-2.6.24-21-generic 的配置工作不能继续:
linux-ubuntu-modules-2.6.24-21-generic 依赖于 linux-image-2.6.24-21-generic;然而:
软件包 linux-image-2.6.24-21-generic 还没有被配置。
dpkg:处理 linux-ubuntu-modules-2.6.24-21-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-bootinitrd.img-2.6.15-52-686
Cannot find /lib/modules/bootinitrd.img-2.6.15-52-686
update-initramfs: failed for /boot/initrd.img-bootinitrd.img-2.6.15-52-686
dpkg: 子进程 post-installation script 返回了错误号 1
guanx@guanx-desktop:~$

小结一下以下命令都不能解决问题:sudo apt-get upgrade
sudo apt-get update
sudo apt-get -f install
sudo dpkg --configure -a
sudo apt-get autoremove
还有欲删除未使用的内核也删除不了。


最后由 bingning 编辑于 2008-11-12 15:33,总共编辑了 2 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-11-12 14:37 
头像

注册: 2008-06-21 2:20
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
我查找了一些帖子,基本上出现这种问题都是因为更新途中随便断开造成的错误。
但是参照他们的方法,我的问题还是不能解决
像这个帖子(系统出错。是dpkg was interrupted,( 已经解决))http://forum.ubuntu.org.cn/viewtopic.php?f=86&t=27615。我参照了,一样不能解决问题。
不知道怎么办?


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-11-12 15:01 
头像

注册: 2008-06-21 2:20
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
想用apt删除最新那个内核(不是当前使用内核),但是也删除不了,出现一样的错误提示信息:
dpkg was interrupted


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-11-12 15:07 
头像

注册: 2008-06-21 2:20
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
不看不知道,一看下一跳
原来debian系统也是这样的,更新中断然后安装更新也会出错!
请看帖子:“Debian 4新立得安装tomcat,中断后提示错误,不能再安装“
http://www.linuxeden.com/forum/thread-167636-1-1.html


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-11-12 15:14 
头像

注册: 2008-06-21 2:20
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
在本论坛找到一个类似帖子,楼主没有写出解决办法,不过在帖子回复中找到终于可以用的命令
执行如下:
root@guanx-desktop:/home/guanx# sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
libffi4 libffi4-dev libstdc++6 libstdc++6-4.2-dev
建议安装的软件包:
libstdc++6-4.2-doc
下列的软件包将被升级:
libffi4 libffi4-dev libstdc++6 libstdc++6-4.2-dev
共升级了 4 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 163 个软件未被升级。
有 5 个软件包没有被完全安装或卸载。
需要下载 1624kB 的软件包。
操作完成后,会消耗掉 0B 的额外磁盘空间。
您希望继续执行吗?[Y/n]y

希望能解决问题。其他的命令,dpkg或者apt开头的都不行,


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-11-12 15:19 
头像

注册: 2008-06-21 2:20
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
貌似还是不能解决问题:
终端信息如下:

正在解压缩将用于更替的包文件 libstdc++6 ...
正在设置 libstdc++6 (4.2.4-1ubuntu3) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
(正在读取数据库 ... 系统当前总共安装有 190424 个文件和目录。)
正预备替换 libstdc++6-4.2-dev 4.2.4-1ubuntu1 (使用 .../libstdc++6-4.2-dev_4.2.4-1ubuntu3_i386.deb) ...
正在解压缩将用于更替的包文件 libstdc++6-4.2-dev ...
正预备替换 libffi4 4.2.4-1ubuntu1 (使用 .../libffi4_4.2.4-1ubuntu3_i386.deb) ...
正在解压缩将用于更替的包文件 libffi4 ...
正预备替换 libffi4-dev 4.2.4-1ubuntu1 (使用 .../libffi4-dev_4.2.4-1ubuntu3_i386.deb) ...
正在解压缩将用于更替的包文件 libffi4-dev ...
正在设置 initramfs-tools (0.85eubuntu39.3) ...
update-initramfs: deferring update (trigger activated)

正在设置 linux-image-2.6.24-21-generic (2.6.24-21.43) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-21-generic
Failed to symbolic-link boot/initrd.img-2.6.24-21-generic to initrd.img.
dpkg:处理 linux-image-2.6.24-21-generic (--configure)时出错:
子进程 post-installation script 返回了错误号 17
dpkg:依赖关系问题使得 linux-ubuntu-modules-2.6.24-21-generic 的配置工作不能继续:
linux-ubuntu-modules-2.6.24-21-generic 依赖于 linux-image-2.6.24-21-generic;然而:
软件包 linux-image-2.6.24-21-generic 还没有被配置。
dpkg:处理 linux-ubuntu-modules-2.6.24-21-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 libffi4 (4.2.4-1ubuntu3) ...

正在设置 libffi4-dev (4.2.4-1ubuntu3) ...
正在设置 libstdc++6-4.2-dev (4.2.4-1ubuntu3) ...
正在设置 g++-4.2 (4.2.4-1ubuntu3) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-bootinitrd.img-2.6.15-52-686
Cannot find /lib/modules/bootinitrd.img-2.6.15-52-686
update-initramfs: failed for /boot/initrd.img-bootinitrd.img-2.6.15-52-686
dpkg: 子进程 post-installation script 返回了错误号 1
E: Sub-process /usr/bin/dpkg returned an error code (2)

再试试dpkg -configure -pending命令,还是不能解决问题~~~~


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2008-12-07 15:52 

注册: 2008-11-30 14:52
帖子: 81
送出感谢: 0 次
接收感谢: 0 次
我在安装realplayer 中出现了这个问题,希望那位高手指点一下,不生感激。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2009-01-22 0:23 
头像

注册: 2008-11-15 20:12
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
我的一般就 sudo apt-get -f install 就可以解决,还没有遇到前面那么棘手的问题。 :em06


_________________
我想 ^^^^ , far far away 。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2009-03-13 20:11 

注册: 2009-03-13 8:11
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
跟下,安realplay也出现这问题。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2009-03-13 20:18 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
update-initramfs: Generating /boot/initrd.img-2.6.24-21-generic
Failed to symbolic-link boot/initrd.img-2.6.24-21-generic to initrd.img.

看是不是磁盘满了


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2009-03-14 14:10 

注册: 2009-03-13 8:11
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
df -k 查看没有满 的。 我觉得这问题是exim-4 与lsb 配置问题, 但我配置了半天也搞不明白啊。愁


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2009-03-18 16:58 

注册: 2008-09-07 17:17
帖子: 39
地址: shan dong qing dao
送出感谢: 0 次
接收感谢: 0 次
我的也是出现这个问题:好像是我安装了自己编译的内核之后,删除不干净!

我试了一下这个:
dpkg --configure initramfs-tools

问题就解决了;;

有时候你考虑全部,还不如考虑一个细节,真实搞笑!我的问题就是这样解决的,希望有点帮助!


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 一系列配置和依赖关系问题导致apt和dpkg无法运行
帖子发表于 : 2009-03-19 8:16 

注册: 2009-03-13 8:11
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我的也解决了 我是把exim4 给remove了.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译